# YoutubeApp MCP Server

An MCP Server for the YoutubeApp API.

## 🛠️ Tool List

This is automatically generated from OpenAPI schema for the YoutubeApp API.


| Tool | Description |
|------|-------------|
| `get_jobs_job_reports` | Retrieves job reports for a specified job based on provided filters and parameters. |
| `get_jobs_job_reports_report` | Retrieves a specific report associated with a job using the provided job and report identifiers. |
| `delete_jobs_job` | Deletes a job with the specified ID, optionally acting on behalf of a content owner. |
| `get_jobs` | Retrieves a list of jobs from the server with optional filtering by query parameters. |
| `get_media_resource_name` | Retrieves a media resource by name and returns its JSON representation. |
| `get_reporttypes` | Retrieves a paginated list of report types from the API with optional filtering. |
| `delete_captions` | Deletes specified captions from a YouTube resource and returns the API response. |
| `get_captions` | Retrieves caption tracks for a specified video ID from a remote API, supporting optional query parameters for request customization. |
| `delete_comments` | Deletes a comment or comments from the server based on the specified ID. |
| `add_comments_mark_as_spam` | Marks a comment as spam by sending a POST request to the API endpoint. |
| `add_comments_set_moderation_status` | Sets the moderation status for a comment and optionally bans the author through a POST request to a defined endpoint. |
| `delete_live_broadcasts` | Deletes specified live broadcasts using query parameters to filter requests. |
| `add_live_broadcasts_bind` | Binds a live broadcast to a stream on YouTube, using specified parameters for authentication and identification. |
| `add_live_broadcasts_control` | Controls a live broadcast by sending a POST request with specified parameters. |
| `add_live_broadcasts_transition` | Transitions a live broadcast to a specified status for a given broadcast ID via API. |
| `delete_live_chat_bans` | Deletes a live chat ban identified by the specified ID from the server. |
| `delete_live_chat_messages` | Deletes live chat messages based on the specified message ID. |
| `delete_live_chat_moderators` | Deletes a live chat moderator by ID using the specified endpoint. |
| `delete_videos` | Deletes specified videos from a video platform using API endpoints. |
| `get_videos_get_rating` | Retrieves the rating of a video using its ID and optional content owner specification. |
| `add_videos_rate` | Submits a rating for a video on the server using the provided video ID and rating value. |
| `add_videos_report_abuse` | Sends an abuse report for videos via the YouTube API, typically used to flag inappropriate content. |
| `add_watermarks_set` | Sets watermarks on a specified YouTube channel using optional content owner credentials. |
| `add_watermarks_unset` | Removes watermarks from a YouTube channel specified by channel ID. |
| `get_activities` | Retrieve YouTube channel activities based on specified filters and parameters. |
| `add_channel_banners_insert` | Inserts a new channel banner for a YouTube channel using the YouTube Data API. |
| `delete_channel_sections` | Deletes one or more channel sections from the specified platform using the provided identifiers. |
| `get_channels` | Retrieves YouTube channels based on specified parameters. |
| `get_comment_threads` | Retrieve YouTube comment threads based on specified filters and pagination parameters. |
| `get_fanfundingevents` | Retrieves fan funding events based on specified filter criteria. |
| `get_guecategories` | Fetches guide categories from a remote service based on specified parameters. |
| `get_languages` | Fetches a list of supported languages from the internationalization API, returning localized names when specified. |
| `get_regions` | Retrieves a list of i18n regions from an API endpoint. |
| `delete_livestreams` | Deletes a YouTube livestream resource using the YouTube Data API with optional filtering parameters. |
| `delete_play_list_items` | Deletes playlist items identified by the given ID or on behalf of the specified content owner. |
| `delete_playlists` | Deletes playlists via the YouTube Data API based on specified criteria. |
| `get_search` | Submits a search query to the YouTube Data API with optional filters. |
| `get_sponsors` | Fetches a list of sponsors from a server with optional filtering and pagination. |
| `delete_subscriptions` | Deletes one or all subscriptions by sending a DELETE request to the API endpoint. |
| `get_superchatevents` | Fetches a list of super chat events from the YouTube API with optional filtering parameters. |
| `add_thumbnails_set` | Sets a thumbnail for a specified video on behalf of a content owner using the YouTube API. |
| `get_video_abuse_report_reasons` | Fetches video abuse report reasons with optional localization and response filtering. |
| `get_veocategories` | Fetches video categories from an external API using specified query parameters and returns the parsed JSON response. |
| `delete_groupitems` | Deletes group items based on the provided parameters. |
| `delete_groups` | Deletes specified groups via API, optionally on behalf of a content owner. |
| `get_reports` | Fetches and returns report data based on specified filtering, sorting, and range criteria. |
